Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer YOUR_API_KEY.

Query Parameters

limit
integer
default:500

Maximum agents to return.

Required range: 1 <= x <= 500
cursor
string

Cursor returned by the previous response.

Minimum string length: 1
agentType
enum<string>

Filter to agents bound to campaigns of this campaign type. An unrecognised value is rejected with a 400.

Available options:
outreach,
inbound,
appointment
locationId
string

Filter to agents bound to campaigns in one project location.

Minimum string length: 1
q
string

Case-insensitive name search.

Minimum string length: 1
sort
enum<string>
default:updatedAt.desc

Sort order for the page.

Available options:
updatedAt.desc,
createdAt.desc

Response

Visible builder agents.

success
boolean
required
agents
object[]
required
hasMore
boolean

True when another page is available.

Example:

false

nextCursor
string | null

Cursor to pass to the next List agents request.

Example:

null